Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class DirectoryUserAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.DirectoryUserAdmin

    public class DirectoryUserAdmin

extends java.lang.Object

The `DirectoryUserAdmin.java` class - colleciton of DirectoryUser admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`DirectoryUserAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `calculateConsumedStorage(LibrarySession sess, ParameterTable params)` Section variant of CalculateConsumedStorage
`void` | `createUser(LibrarySession sess, DirectoryUserDefinition def)` internal variant of Create User
`void` | `createUser(LibrarySession sess, ParameterTable params)` Section variant of Create User
`void` | `createUser(LibrarySession sess, java.lang.String nameToken)` inline variant of Create User
`void` | `createUserViaUserManager(LibrarySession sess, ParameterTable params, UserManager mgr)` Section variant of CreateUser
`void` | `deleteDirectoryUser(LibrarySession sess, ParameterTable params)` Section variant of delete DirectoryUser
`void` | `deleteDirectoryUser(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete DirectoryUser
`void` | `deleteDirectoryUser(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete DirectoryUser
`void` | `deleteUserViaUserManager(LibrarySession sess, ParameterTable params, UserManager mgr)` Section variant of DeleteUser
`void` | `freeUser(LibrarySession sess, ParameterTable params)` Section variant of Free User
`void` | `freeUser(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free User
`void` | `impersonateUser(LibrarySession sess, ParameterTable params)` Section variant of Impersonate User
`void` | `impersonateUser(LibrarySession sess, java.lang.String idname)` Inline/internal variant of impersonate User
`DirectoryUser` | `lookupUser(LibrarySession sess, java.lang.String username)`
`void` | `modifyUser(LibrarySession sess, ParameterTable params)` Section variant of Modify User
`void` | `modifyUser(LibrarySession sess, java.lang.String idname, DirectoryUserDefinition def)` internal variant of Modify User
`void` | `showUser(LibrarySession sess, DirectoryUser user)`
`void` | `showUser(LibrarySession sess, ParameterTable params)` Section variant of showUser
`void` | `showUser(LibrarySession sess, java.lang.String username)` Inline/internal variant of showUser
`void` | `simpleFreeUser(LibrarySession sess, ParameterTable params)` Implements SimpleFreeUser.
`void` | `undeleteDirectoryUser(LibrarySession sess, ParameterTable params)` Section variant of undelete DirectoryUser
`void` | `undeleteDirectoryUser(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete DirectoryUser
`void` | `undeleteDirectoryUser(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete DirectoryUser

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### DirectoryUserAdmin

    public DirectoryUserAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createUserViaUserManager

    public void createUserViaUserManager(LibrarySession sess,
                                         ParameterTable params,
                                         UserManager mgr)
                                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of CreateUser

  Throws:
    `IfsException`

### deleteUserViaUserManager

    public void deleteUserViaUserManager(LibrarySession sess,
                                         ParameterTable params,
                                         UserManager mgr)
                                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of DeleteUser

  Throws:
    `IfsException`

### createUser

    public void createUser(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of Create User

  Throws:
    `IfsException`

### createUser

    public void createUser(LibrarySession sess,
                           java.lang.String nameToken)
                    throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  inline variant of Create User

  Throws:
    `IfsException`

### createUser

    public void createUser(LibrarySession sess,
                           DirectoryUserDefinition def)
                    throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  internal variant of Create User

  Throws:
    `IfsException`

### modifyUser

    public void modifyUser(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of Modify User

  Throws:
    `IfsException`

### modifyUser

    public void modifyUser(LibrarySession sess,
                           java.lang.String idname,
                           DirectoryUserDefinition def)
                    throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  internal variant of Modify User

  Throws:
    `IfsException`

### freeUser

    public void freeUser(LibrarySession sess,
                         ParameterTable params)
                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of Free User

  Throws:
    `IfsException`

### freeUser

    public void freeUser(LibrarySession sess,
                         java.lang.String idname)
                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of Free User

  Throws:
    `IfsException`

### deleteDirectoryUser

    public void deleteDirectoryUser(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of delete DirectoryUser

  Throws:
    `IfsException`

### deleteDirectoryUser

    public void deleteDirectoryUser(LibrarySession sess,
                                    java.lang.String idname)
                             throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of Delete DirectoryUser

  Throws:
    `IfsException`

### deleteDirectoryUser

    public void deleteDirectoryUser(LibrarySession sess,
                                    java.lang.String idname,
                                    LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of Delete DirectoryUser

  Throws:
    `IfsException`

### undeleteDirectoryUser

    public void undeleteDirectoryUser(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of undelete DirectoryUser

  Throws:
    `IfsException`

### undeleteDirectoryUser

    public void undeleteDirectoryUser(LibrarySession sess,
                                      java.lang.String idname)
                               throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of Undelete DirectoryUser

  Throws:
    `IfsException`

### undeleteDirectoryUser

    public void undeleteDirectoryUser(LibrarySession sess,
                                      java.lang.String idname,
                                      LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of Undelete DirectoryUser

  Throws:
    `IfsException`

### calculateConsumedStorage

    public void calculateConsumedStorage(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of CalculateConsumedStorage

  Throws:
    `IfsException`

### impersonateUser

    public void impersonateUser(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of Impersonate User

  Throws:
    `IfsException`

### impersonateUser

    public void impersonateUser(LibrarySession sess,
                                java.lang.String idname)
                         throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of impersonate User

  Throws:
    `IfsException`

### showUser

    public void showUser(LibrarySession sess,
                         ParameterTable params)
                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Section variant of showUser

  Throws:
    `IfsException`

### showUser

    public void showUser(LibrarySession sess,
                         java.lang.String username)
                  throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Inline/internal variant of showUser

  Throws:
    `IfsException`

### showUser

    public void showUser(LibrarySession sess,
                         DirectoryUser user)
                  throws IfsException

  Throws:
    `IfsException`

### lookupUser

    public DirectoryUser lookupUser(LibrarySession sess,
                                    java.lang.String username)
                             throws IfsException

  Throws:
    `IfsException`

### simpleFreeUser

    public void simpleFreeUser(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DirectoryUserAdmin`
  Implements SimpleFreeUser. Removes the PrimaryUserProfile, UserObject and DS User object. Homefolder may be deleted recursively based on the FreeHomeFolder option. Everthing is done in a Transactional manner.

  Parameters:
    `sess` - LibrarySession Reference to the current session.
    `params` - ParameterTable Handle to parameters table.
  Throws:
    `IfsException` - If the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD